package com.cm.common.plugin.enums.database.table;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DataTypeEnum
 * @Description: 数据类型
 * @Author: WangGeng
 * @Date: 2019/11/15 8:20 下午
 * @Version: 1.0
 **/
public enum ColumnDataTypeEnum {

    /**
     * 整形
     */
    INT("int"),
    /**
     * 长整形
     */
    BIGINT("bigint"),
    /**
     * 双精度
     */
    DOUBLE("double"),
    /**
     * 时间戳
     */
    DATETIME("datetime"),
    /**
     * 日期
     */
    DATE("date"),
    /**
     * 字符串
     */
    VARCHAR("varchar"),
    /**
     * 字符
     */
    CHAR("char"),
    /**
     * 文本
     */
    TEXT("text"),
    /**
     * 长文本
     */
    LONGTEXT("longtext"),
    /**
     * ID和名称
     */
    ID_AND_NAME("idAndName"),
    /**
     * ID列表和名称列表
     */
    IDS_AND_NAMES("idsAndNames");

    private String dataType;

    ColumnDataTypeEnum(String dataType) {
        this.dataType = dataType;
    }

    public String getDataType() {
        return dataType == null ? "" : dataType.trim();
    }
}
